diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-rx-trace-helper-test.cc ns-3.44/src/wifi/test/wifi-phy-rx-trace-helper-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-rx-trace-helper-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-rx-trace-helper-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -24,6 +24,7 @@
 #include "ns3/packet-socket-helper.h"
 #include "ns3/packet-socket-server.h"
 #include "ns3/pointer.h"
+#include "ns3/propagation-loss-model.h"
 #include "ns3/rng-seed-manager.h"
 #include "ns3/simple-frame-capture-model.h"
 #include "ns3/single-model-spectrum-channel.h"
@@ -43,7 +44,6 @@
 #include "ns3/wifi-utils.h"
 #include "ns3/yans-wifi-channel.h"
 #include "ns3/yans-wifi-phy.h"
-#include <ns3/propagation-loss-model.h>
 
 #include <optional>
 
@@ -52,8 +52,8 @@
 NS_LOG_COMPONENT_DEFINE("WifiPhyRxTraceHelperTest");
 
 /**
- * \ingroup wifi-test
- * \brief Implements a test case to evaluate the reception process of WiFi Physical Layer (PHY)
+ * @ingroup wifi-test
+ * @brief Implements a test case to evaluate the reception process of WiFi Physical Layer (PHY)
  * frames (PPDU) with multiple MAC Protocol Data Units (MPDUs).
  *
  * This class extends the TestCase class to simulate and analyze the reception of PPDUs containing
@@ -68,7 +68,7 @@
   public:
     /**
      * Constructs a TestWifiPhyRxTraceHelper instance with a given test name.
-     * \param test_name The name of the test case.
+     * @param test_name The name of the test case.
      */
     TestWifiPhyRxTraceHelper(std::string test_name);
 
@@ -84,34 +84,32 @@
 
     /**
      * Sends a PPDU containing two MPDUs addressed to specific receivers.
-     * \param rxPowerDbm The transmit power in dBm.
-     * \param add1 The MAC address of the first receiver.
-     * \param add2 The MAC address of the second receiver.
-     * \param tx_phy The transmitting PHY object.
+     * @param rxPower The transmit power.
+     * @param add1 The MAC address of the first receiver.
+     * @param add2 The MAC address of the second receiver.
+     * @param tx_phy The transmitting PHY object.
      */
-    void SendPpduWithTwoMpdus(double rxPowerDbm,
+    void SendPpduWithTwoMpdus(dBm_u rxPower,
                               Mac48Address add1,
                               Mac48Address add2,
                               Ptr<ns3::SpectrumWifiPhy> tx_phy);
 
     /**
      * Sends a PPDU containing one MPDU addressed to a specific receiver.
-     * \param rxPowerDbm The transmit power in dBm.
-     * \param add1 The MAC address of the receiver.
-     * \param tx_phy The transmitting PHY object.
-     */
-    void SendPpduWithOneMpdu(double rxPowerDbm,
-                             Mac48Address add1,
-                             Ptr<ns3::SpectrumWifiPhy> tx_phy);
+     * @param rxPower The transmit power.
+     * @param add1 The MAC address of the receiver.
+     * @param tx_phy The transmitting PHY object.
+     */
+    void SendPpduWithOneMpdu(dBm_u rxPower, Mac48Address add1, Ptr<ns3::SpectrumWifiPhy> tx_phy);
 
     /**
      * Checks the statistics of PPDU and MPDU reception success and failure.
-     * \param expectedPpduSuccess The expected number of successful PPDU receptions.
-     * \param expectedPpduFailure The expected number of failed PPDU receptions.
-     * \param expectedMpduSuccess The expected number of successful MPDU receptions within PPDUs.
-     * \param expectedMpduFailure The expected number of failed MPDU receptions within PPDUs.
-     * \param expectedOverlaps The expected number of overlapping reception events.
-     * \param expectedNonOverlaps The expected number of non-overlapping reception events.
+     * @param expectedPpduSuccess The expected number of successful PPDU receptions.
+     * @param expectedPpduFailure The expected number of failed PPDU receptions.
+     * @param expectedMpduSuccess The expected number of successful MPDU receptions within PPDUs.
+     * @param expectedMpduFailure The expected number of failed MPDU receptions within PPDUs.
+     * @param expectedOverlaps The expected number of overlapping reception events.
+     * @param expectedNonOverlaps The expected number of non-overlapping reception events.
      */
     void CheckAllStats(uint64_t expectedPpduSuccess,
                        uint64_t expectedPpduFailure,
@@ -122,7 +120,7 @@
 
     /**
      * Checks the statistics of PPDU and MPDU reception success and failure.
-     * \param expectedStats The expected counts for PPDU and MPDU reception.
+     * @param expectedStats The expected counts for PPDU and MPDU reception.
      * @param nodeId The node ID for which to check the received stats.
      * @param deviceId The device ID for which to check the received stats.
      * @param linkId The link ID for which to check the received stats.
@@ -134,7 +132,7 @@
 
     /**
      * Checks the statistics of PPDU and MPDU reception success and failure.
-     * \param expectedRecordCount The expected number of records.
+     * @param expectedRecordCount The expected number of records.
      */
     void CheckRecords(uint64_t expectedRecordCount);
 
@@ -170,7 +168,7 @@
 void
 TestWifiPhyRxTraceHelper::DoSetup()
 {
-    double txPower = 20;
+    dBm_u txPower{20};
 
     auto spectrumChannel = CreateObject<SingleModelSpectrumChannel>();
 
@@ -249,12 +247,12 @@
 }
 
 void
-TestWifiPhyRxTraceHelper::SendPpduWithTwoMpdus(double rxPowerDbm,
+TestWifiPhyRxTraceHelper::SendPpduWithTwoMpdus(dBm_u rxPower,
                                                Mac48Address receiver1,
                                                Mac48Address receiver2,
                                                Ptr<ns3::SpectrumWifiPhy> tx_phy)
 {
-    double txPower = rxPowerDbm;
+    auto txPower = rxPower;
     tx_phy->SetTxPowerStart(txPower);
     tx_phy->SetTxPowerEnd(txPower);
 
@@ -265,7 +263,7 @@
                                          1,
                                          1,
                                          0,
-                                         20,
+                                         MHz_u{20},
                                          true);
 
     std::vector<Ptr<WifiMpdu>> mpduList;
@@ -290,11 +288,11 @@
 }
 
 void
-TestWifiPhyRxTraceHelper::SendPpduWithOneMpdu(double rxPowerDbm,
+TestWifiPhyRxTraceHelper::SendPpduWithOneMpdu(dBm_u rxPower,
                                               Mac48Address receiver1,
                                               Ptr<ns3::SpectrumWifiPhy> tx_phy)
 {
-    double txPower = rxPowerDbm;
+    auto txPower = rxPower;
     tx_phy->SetTxPowerStart(txPower);
     tx_phy->SetTxPowerEnd(txPower);
 
@@ -305,7 +303,7 @@
                                          1,
                                          1,
                                          0,
-                                         20,
+                                         MHz_u{20},
                                          true);
 
     std::vector<Ptr<WifiMpdu>> mpduList;
@@ -395,7 +393,7 @@
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(2);
     int64_t streamNumber = 1;
-    double rxPowerDbm = -80;
+    dBm_u rxPower{-80};
     streamNumber += m_txA->AssignStreams(streamNumber);
     streamNumber += m_txB->AssignStreams(streamNumber);
     streamNumber += m_rx->AssignStreams(streamNumber);
@@ -415,7 +413,7 @@
     Simulator::Schedule(Seconds(0.1),
                         &TestWifiPhyRxTraceHelper::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         wrongReceiver,   // One MPDU addressed to
                         m_txA);
@@ -450,12 +448,12 @@
     expectedStats.m_failedMpdus = 1;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 1;
-    rxPowerDbm = -83;
+    rxPower = dBm_u{-83};
     // A-MPDU 1
     Simulator::Schedule(Seconds(0.3),
                         &TestWifiPhyRxTraceHelper::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         wrongReceiver,   // One MPDU addressed to
                         m_txA);
@@ -490,12 +488,12 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
     // A-MPDU 1
     Simulator::Schedule(Seconds(0.5),
                         &TestWifiPhyRxTraceHelper::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         wrongReceiver, // One MPDU addressed to
                         wrongReceiver, // One MPDU addressed to
                         m_txA);
@@ -530,12 +528,12 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -83;
+    rxPower = dBm_u{-83};
     // A-MPDU 1
     Simulator::Schedule(Seconds(0.7),
                         &TestWifiPhyRxTraceHelper::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         wrongReceiver, // One MPDU addressed to
                         wrongReceiver, // One MPDU addressed to
                         m_txA);
@@ -571,19 +569,19 @@
     expectedStats.m_failedMpdus = 2;
     expectedStats.m_overlappingPpdus = 2;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
     // A-MPDU 1
     Simulator::Schedule(Seconds(0.9),
                         &TestWifiPhyRxTraceHelper::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txA);
     // A-MPDU 2
     Simulator::Schedule(Seconds(0.9),
                         &TestWifiPhyRxTraceHelper::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txB);
 
@@ -618,19 +616,19 @@
     expectedStats.m_failedMpdus = 1;
     expectedStats.m_overlappingPpdus = 1;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
     // A-MPDU 1
     Simulator::Schedule(Seconds(1.1),
                         &TestWifiPhyRxTraceHelper::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txA);
     // A-MPDU 2
     Simulator::Schedule(Seconds(1.1),
                         &TestWifiPhyRxTraceHelper::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         wrongReceiver, // One MPDU addressed to
                         m_txB);
 
@@ -668,14 +666,14 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 1;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
     m_rxTraceHelper.Start(Seconds(1.29));
 
     // A-MPDU 1
     Simulator::Schedule(Seconds(1.3),
                         &TestWifiPhyRxTraceHelper::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txA);
 
@@ -711,7 +709,7 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
 
     m_rxTraceHelper.Start(Seconds(1.41));
 
@@ -721,7 +719,7 @@
     Simulator::Schedule(Seconds(1.45),
                         &TestWifiPhyRxTraceHelper::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txA);
 
@@ -755,13 +753,13 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 1;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
 
     // A-MPDU 1
     Simulator::Schedule(Seconds(1.6),
                         &TestWifiPhyRxTraceHelper::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txA);
 
@@ -799,7 +797,7 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
 
     m_rxTraceHelper.Start(Seconds(1.79));
 
@@ -807,7 +805,7 @@
     Simulator::Schedule(Seconds(1.8),
                         &TestWifiPhyRxTraceHelper::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_txA);
 
@@ -841,8 +839,8 @@
 }
 
 /**
- * \ingroup wifi-test
- * \brief Implements a test case to evaluate the reception process of WiFi Physical Layer (PHY)
+ * @ingroup wifi-test
+ * @brief Implements a test case to evaluate the reception process of WiFi Physical Layer (PHY)
  * frames (PPDU) containing multiple MAC Protocol Data Units (MPDUs) in Multi-Link Operation (MLO)
  * contexts.
  *
@@ -871,36 +869,34 @@
     /**
      * Sends a PPDU containing two MPDUs addressed to specific receivers, simulating an MLO
      * scenario.
-     * \param rxPowerDbm The transmit power in dBm.
-     * \param add1 The MAC address of the first receiver.
-     * \param add2 The MAC address of the second receiver.
-     * \param tx_phy The transmitting PHY object for MLO.
+     * @param rxPower The transmit power.
+     * @param add1 The MAC address of the first receiver.
+     * @param add2 The MAC address of the second receiver.
+     * @param tx_phy The transmitting PHY object for MLO.
      */
-    void SendPpduWithTwoMpdus(double rxPowerDbm,
+    void SendPpduWithTwoMpdus(dBm_u rxPower,
                               Mac48Address add1,
                               Mac48Address add2,
                               Ptr<ns3::SpectrumWifiPhy> tx_phy);
 
     /**
      * Sends a PPDU containing one MPDU addressed to a specific receiver, within an MLO setup.
-     * \param rxPowerDbm The transmit power in dBm.
-     * \param add1 The MAC address of the receiver.
-     * \param tx_phy The transmitting PHY object for MLO.
-     */
-    void SendPpduWithOneMpdu(double rxPowerDbm,
-                             Mac48Address add1,
-                             Ptr<ns3::SpectrumWifiPhy> tx_phy);
+     * @param rxPower The transmit power.
+     * @param add1 The MAC address of the receiver.
+     * @param tx_phy The transmitting PHY object for MLO.
+     */
+    void SendPpduWithOneMpdu(dBm_u rxPower, Mac48Address add1, Ptr<ns3::SpectrumWifiPhy> tx_phy);
 
     /**
      * Checks the statistics of PPDU and MPDU reception success and failure.
-     * \param expectedStats The expected counts for PPDU and MPDU reception.
+     * @param expectedStats The expected counts for PPDU and MPDU reception.
      * @param nodeId The node ID for which to check the received stats.
      */
     void CheckStats(WifiPhyTraceStatistics expectedStats, uint32_t nodeId);
 
     /**
      * Checks the statistics of PPDU and MPDU reception success and failure.
-     * \param expectedStats The expected counts for PPDU and MPDU reception.
+     * @param expectedStats The expected counts for PPDU and MPDU reception.
      * @param nodeId The node ID for which to check the received stats.
      * @param deviceId The device ID for which to check the received stats.
      */
@@ -908,7 +904,7 @@
 
     /**
      * Checks the statistics of PPDU and MPDU reception success and failure.
-     * \param expectedStats The expected counts for PPDU and MPDU reception.
+     * @param expectedStats The expected counts for PPDU and MPDU reception.
      * @param nodeId The node ID for which to check the received stats.
      * @param deviceId The device ID for which to check the received stats.
      * @param linkId The link ID for which to check the received stats.
@@ -920,12 +916,12 @@
 
     /**
      * Checks the statistics of PPDU and MPDU reception success and failure in MLO scenarios.
-     * \param expectedPpduSuccess The expected number of successful PPDU receptions.
-     * \param expectedPpduFailure The expected number of failed PPDU receptions.
-     * \param expectedMpduSuccess The expected number of successful MPDU receptions within PPDUs.
-     * \param expectedMpduFailure The expected number of failed MPDU receptions within PPDUs.
-     * \param expectedOverlaps The expected number of overlapping reception events.
-     * \param expectedNonOverlaps The expected number of non-overlapping reception events.
+     * @param expectedPpduSuccess The expected number of successful PPDU receptions.
+     * @param expectedPpduFailure The expected number of failed PPDU receptions.
+     * @param expectedMpduSuccess The expected number of successful MPDU receptions within PPDUs.
+     * @param expectedMpduFailure The expected number of failed MPDU receptions within PPDUs.
+     * @param expectedOverlaps The expected number of overlapping reception events.
+     * @param expectedNonOverlaps The expected number of non-overlapping reception events.
      */
     void CheckAllStats(uint64_t expectedPpduSuccess,
                        uint64_t expectedPpduFailure,
@@ -936,7 +932,7 @@
 
     /**
      * Checks the statistics of PPDU and MPDU reception success and failure.
-     * \param expectedRecordCount The expected number of records.
+     * @param expectedRecordCount The expected number of records.
      */
     void CheckRecords(uint64_t expectedRecordCount);
 
@@ -975,7 +971,7 @@
 void
 TestWifiPhyRxTraceHelperMloStr::DoSetup()
 {
-    double txPower = 20;
+    dBm_u txPower{20};
     auto ehtConfiguration = CreateObject<EhtConfiguration>();
 
     auto nodeA = CreateObject<Node>();
@@ -1123,12 +1119,12 @@
 }
 
 void
-TestWifiPhyRxTraceHelperMloStr::SendPpduWithTwoMpdus(double rxPowerDbm,
+TestWifiPhyRxTraceHelperMloStr::SendPpduWithTwoMpdus(dBm_u rxPower,
                                                      Mac48Address receiver1,
                                                      Mac48Address receiver2,
                                                      Ptr<ns3::SpectrumWifiPhy> tx_phy)
 {
-    double txPower = rxPowerDbm;
+    auto txPower = rxPower;
     tx_phy->SetTxPowerStart(txPower);
     tx_phy->SetTxPowerEnd(txPower);
 
@@ -1139,7 +1135,7 @@
                                          1,
                                          1,
                                          0,
-                                         20,
+                                         MHz_u{20},
                                          true);
 
     std::vector<Ptr<WifiMpdu>> mpduList;
@@ -1164,11 +1160,11 @@
 }
 
 void
-TestWifiPhyRxTraceHelperMloStr::SendPpduWithOneMpdu(double rxPowerDbm,
+TestWifiPhyRxTraceHelperMloStr::SendPpduWithOneMpdu(dBm_u rxPower,
                                                     Mac48Address receiver1,
                                                     Ptr<ns3::SpectrumWifiPhy> tx_phy)
 {
-    double txPower = rxPowerDbm;
+    auto txPower = rxPower;
     tx_phy->SetTxPowerStart(txPower);
     tx_phy->SetTxPowerEnd(txPower);
 
@@ -1180,7 +1176,7 @@
                      1,
                      1,
                      0,
-                     20,
+                     MHz_u{20},
                      true); // for some reason needs to be set to true even though only one MPDU
 
     std::vector<Ptr<WifiMpdu>> mpduList;
@@ -1339,7 +1335,7 @@
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(2);
     int64_t streamNumber = 1;
-    double rxPowerDbm = -80;
+    dBm_u rxPower{-80};
     streamNumber += m_tx0A->AssignStreams(streamNumber);
     streamNumber += m_tx0B->AssignStreams(streamNumber);
     streamNumber += m_tx1A->AssignStreams(streamNumber);
@@ -1362,7 +1358,7 @@
     Simulator::Schedule(Seconds(0.1),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         wrongReceiver,   // One MPDU addressed to
                         m_tx0A);
@@ -1370,7 +1366,7 @@
     Simulator::Schedule(Seconds(0.1),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         wrongReceiver,   // One MPDU addressed to
                         m_tx0B);
@@ -1405,12 +1401,12 @@
     expectedStats.m_failedMpdus = 2;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 2;
-    rxPowerDbm = -83;
+    rxPower = dBm_u{-83};
     // A-MPDU 1
     Simulator::Schedule(Seconds(0.3),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         wrongReceiver,   // One MPDU addressed to
                         m_tx0A);
@@ -1418,7 +1414,7 @@
     Simulator::Schedule(Seconds(0.3),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         wrongReceiver,   // One MPDU addressed to
                         m_tx0B);
@@ -1453,12 +1449,12 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
     // A-MPDU 1
     Simulator::Schedule(Seconds(0.5),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         wrongReceiver, // One MPDU addressed to
                         wrongReceiver, // One MPDU addressed to
                         m_tx0A);
@@ -1467,7 +1463,7 @@
     Simulator::Schedule(Seconds(0.5),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         wrongReceiver, // One MPDU addressed to
                         wrongReceiver, // One MPDU addressed to
                         m_tx0B);
@@ -1502,12 +1498,12 @@
     expectedStats.m_failedMpdus = 0;
     expectedStats.m_overlappingPpdus = 0;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -83;
+    rxPower = dBm_u{-83};
     // A-MPDU 1
     Simulator::Schedule(Seconds(0.7),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         wrongReceiver, // One MPDU addressed to
                         wrongReceiver, // One MPDU addressed to
                         m_tx0A);
@@ -1516,7 +1512,7 @@
     Simulator::Schedule(Seconds(0.7),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithTwoMpdus,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         wrongReceiver, // One MPDU addressed to
                         wrongReceiver, // One MPDU addressed to
                         m_tx0B);
@@ -1552,19 +1548,19 @@
     expectedStats.m_failedMpdus = 4;
     expectedStats.m_overlappingPpdus = 4;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
     // A-MPDU 1
     Simulator::Schedule(Seconds(0.9),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_tx0A);
     // A-MPDU 2
     Simulator::Schedule(Seconds(0.9),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_tx1A);
 
@@ -1572,14 +1568,14 @@
     Simulator::Schedule(Seconds(0.9),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_tx0B);
     // A-MPDU 2
     Simulator::Schedule(Seconds(0.9),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_tx1B);
 
@@ -1614,19 +1610,19 @@
     expectedStats.m_failedMpdus = 2;
     expectedStats.m_overlappingPpdus = 2;
     expectedStats.m_nonOverlappingPpdus = 0;
-    rxPowerDbm = -80;
+    rxPower = dBm_u{-80};
     // A-MPDU 1
     Simulator::Schedule(Seconds(1.1),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_tx0A);
     // A-MPDU 2
     Simulator::Schedule(Seconds(1.1),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         wrongReceiver, // One MPDU addressed to
                         m_tx1A);
 
@@ -1634,14 +1630,14 @@
     Simulator::Schedule(Seconds(1.1),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         correctReceiver, // One MPDU addressed to
                         m_tx0B);
     // A-MPDU 2
     Simulator::Schedule(Seconds(1.1),
                         &TestWifiPhyRxTraceHelperMloStr::SendPpduWithOneMpdu,
                         this,
-                        rxPowerDbm,
+                        rxPower,
                         wrongReceiver, // One MPDU addressed to
                         m_tx1B);
 
@@ -1675,8 +1671,8 @@
 }
 
 /**
- * \ingroup wifi-test
- * \brief Implements a test case to evaluate the reception process of WiFi Physical Layer (PHY)
+ * @ingroup wifi-test
+ * @brief Implements a test case to evaluate the reception process of WiFi Physical Layer (PHY)
  * frames (PPDU) with multiple MAC Protocol Data Units (MPDUs) when using YansWifiPhy.
  *
  * This class extends the TestCase class to simulate and analyze the reception of PPDUs containing
@@ -1703,32 +1699,32 @@
 
     /**
      * Sends a PPDU containing two MPDUs addressed to specific receivers.
-     * \param rxPowerDbm The transmit power in dBm.
-     * \param add1 The MAC address of the first receiver.
-     * \param add2 The MAC address of the second receiver.
-     * \param tx_phy The transmitting PHY object.
+     * @param rxPower The transmit power.
+     * @param add1 The MAC address of the first receiver.
+     * @param add2 The MAC address of the second receiver.
+     * @param tx_phy The transmitting PHY object.
      */
-    void SendPpduWithTwoMpdus(double rxPowerDbm,
+    void SendPpduWithTwoMpdus(dBm_u rxPower,
                               Mac48Address add1,
                               Mac48Address add2,
                               Ptr<ns3::YansWifiPhy> tx_phy);
 
     /**
      * Sends a PPDU containing one MPDU addressed to a specific receiver.
-     * \param rxPowerDbm The transmit power in dBm.
-     * \param add1 The MAC address of the receiver.
-     * \param tx_phy The transmitting PHY object.
+     * @param rxPower The transmit power.
+     * @param add1 The MAC address of the receiver.
+     * @param tx_phy The transmitting PHY object.
      */
-    void SendPpduWithOneMpdu(double rxPowerDbm, Mac48Address add1, Ptr<ns3::YansWifiPhy> tx_phy);
+    void SendPpduWithOneMpdu(dBm_u rxPower, Mac48Address add1, Ptr<ns3::YansWifiPhy> tx_phy);
 
     /**
      * Checks the statistics of PPDU and MPDU reception success and failure.
-     * \param expectedPpduSuccess The expected number of successful PPDU receptions.
-     * \param expectedPpduFailure The expected number of failed PPDU receptions.
-     * \param expectedMpduSuccess The expected number of successful MPDU receptions within PPDUs.
-     * \param expectedMpduFailure The expected number of failed MPDU receptions within PPDUs.
-     * \param expectedOverlaps The expected number of overlapping reception events.
-     * \param expectedNonOverlaps The expected number of non-overlapping reception events.
+     * @param expectedPpduSuccess The expected number of successful PPDU receptions.
+     * @param expectedPpduFailure The expected number of failed PPDU receptions.
+     * @param expectedMpduSuccess The expected number of successful MPDU receptions within PPDUs.
+     * @param expectedMpduFailure The expected number of failed MPDU receptions within PPDUs.
+     * @param expectedOverlaps The expected number of overlapping reception events.
+     * @param expectedNonOverlaps The expected number of non-overlapping reception events.
      */
     void CheckAllStats(uint64_t expectedPpduSuccess,
                        uint64_t expectedPpduFailure,
@@ -1739,7 +1735,7 @@
 
     /**
      * Checks the statistics of PPDU and MPDU reception success and failure.
-     * \param expectedStats The expected counts for PPDU and MPDU reception.
+     * @param expectedStats The expected counts for PPDU and MPDU reception.
      * @param nodeId The node ID for which to check the received stats.
      * @param deviceId The device ID for which to check the received stats.
      * @param linkId The link ID for which to check the received stats.
@@ -1751,7 +1747,7 @@
 
     /**
      * Checks the statistics of PPDU and MPDU reception success and failure.
-     * \param expectedRecordCount The expected number of records.
+     * @param expectedRecordCount The expected number of records.
      */
     void CheckRecords(uint64_t expectedRecordCount);
 
@@ -1791,7 +1787,7 @@
 void
 TestWifiPhyRxTraceHelperYans::DoSetup()
 {
-    double txPower = 20;
+    dBm_u txPower{20};
 
     auto yansChannel = CreateObject<YansWifiChannel>();
     auto propDelay = CreateObject<ConstantSpeedPropagationDelayModel>();
